package com.ruoyi.web.arap.mapper;

import com.ruoyi.web.arap.domain.ArapRefund;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ArapRefundMapper {
    ArapRefund selectById(Long id);

    List<ArapRefund> selectList(ArapRefund query);

    int insert(ArapRefund entity);

    int updateById(ArapRefund entity);

    int deleteById(@Param("id") Long id, @Param("orgId") String orgId, @Param("updateBy") String updateBy);

    Integer selectTodayMaxSeq(@Param("orgId") String orgId, @Param("dateText") String dateText);
}

